import { JenkinsClientOptions } from "jenkins";
import { JobInfo } from "../cache";
export interface CliOption {
    lastJob: string;
    config: JenkinsClientOptions;
}
export declare enum ParameterType {
    git = "git",
    checkbox = "checkbox",
    radio = "radio"
}
interface Parameter {
    type: ParameterType;
    key: string;
    value: string[];
    description: string;
}
export interface JobCliInfo {
    name: string;
    parameters: {
        [key: string]: string;
    };
}
export declare class JenkinsCli {
    jenkins: any;
    cacheJobs: JobInfo[];
    constructor(options: CliOption);
    getJobs(): Promise<string[]>;
    private getConfig;
    getParameters(selectJob: any): Promise<Parameter[]>;
    build(selectJob: any, parameters: any): Promise<any>;
}
export {};
